Bug 1601196 - 4.17.x kernels cause "nvme0: controller is down; will reset: CSTS=0x3, PCI_STATUS=0x810" on MacBook Air
Summary: 4.17.x kernels cause "nvme0: controller is down; will reset: CSTS=0x3, PCI_ST...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-15 01:35 UTC by Lonni J Friedman
Modified: 2019-08-21 00:57 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
dracut log (96.87 KB, text/plain)
2018-07-15 01:35 UTC, Lonni J Friedman
no flags Details


Links
System ID Priority Status Summary Last Updated
Linux Kernel 201463 None None None 2019-07-19 08:25:24 UTC

Description Lonni J Friedman 2018-07-15 01:35:49 UTC
Created attachment 1458908 [details]
dracut log

Description of problem:
Ever since Fedora released 4.17.x kernels, my MacBook Air (7,1) hangs during boot   when attempting to use the nvme disk controller, with messages such as:

[   32.742056] llamamac kernel: nvme nvme0: controller is down; will reset: CSTS=0x3, PCI_STATUS=0x810
[   32.767211] llamamac kernel: nvme nvme0: detected Apple NVMe controller, set queue depth=2 to work around controller resets
[   48.368123] llamamac kernel: nvme nvme0: Device not ready; aborting reset
[   48.368181] llamamac kernel: nvme nvme0: Removing after probe failure status: -19
[  132.401562] llamamac dracut-initqueue[330]: Warning: dracut-initqueue timeout - starting timeout script

Version-Release number of selected component (if applicable):
4.17.5-100

How reproducible:
Attempt to boot from any 4.17.x kernel.


Actual results:
[  195.331272] llamamac dracut-initqueue[330]: Warning: dracut-initqueue timeout - starting timeout scripts
[  195.331902] llamamac dracut-initqueue[330]: Warning: Could not boot.

Expected results:
OS fully boots without hanging.

Additional info:
Does not reproduce at all when booting with 4.16.14-200.fc27.x86_64.  I've attached the dracut generated rdsosreport from a hang.

Comment 1 Lonni J Friedman 2018-07-15 01:37:29 UTC
I thought this might be the same issue as https://bugzilla.redhat.com/show_bug.cgi?id=1599042 , so I tried booting the 4.17.x kernel with:
nvme_core.default_ps_max_latency_us=0

but that had no impact.

Comment 2 Justin M. Forbes 2018-07-23 15:17:08 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 3 Lonni J Friedman 2018-07-23 15:24:13 UTC
Not fixed with 4.17.7-100.fc27

Comment 4 Laura Abbott 2018-10-01 21:22:41 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.18.10-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 28 or Fedora 29, and are still experiencing this issue, please change the version to Fedora 28 or 29.
 
If you experience different issues, please open a new bug report for those.

Comment 5 Lonni J Friedman 2018-10-04 00:50:23 UTC
Not resolved.  Still fails to boot.

Comment 6 Lonni J Friedman 2018-10-13 19:50:38 UTC
Same failure with Fedora28.  The original 4.16.3-301.fc28.x86_64 kernel boots fine.  Anything & everything starting with 4.17.x fails.

Comment 7 Robert 2018-10-17 07:27:20 UTC
The Vanilla-Kernel from kernel.org have the same problem. 4.16 is the last usable kernel for my small Macbook Air 2015 (7.1)

Comment 8 Lonni J Friedman 2018-10-18 00:50:55 UTC
Thanks Robert.  I've opened up a kernel.org bug now as well, in the hopes that maybe this will get more attention upstream.

Comment 9 Justin M. Forbes 2019-01-29 16:25:36 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 10 Lonni J Friedman 2019-01-30 02:11:08 UTC
This is *NOT* fixed with the latest Fedora 28 kernel (4.20.5-100.fc28).

Fedora29 won't even install, due to this bug.

This bug is a complete blocker on using Fedora.

Comment 11 Ben Cotton 2019-05-02 19:57:28 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Lonni J Friedman 2019-05-03 00:20:08 UTC
Its impossible to even install Fedora29 due to this bug.

Comment 13 Justin M. Forbes 2019-08-20 17:42:45 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 5.2.9-100.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.

If you experience different issues, please open a new bug report for those.

Comment 14 Lonni J Friedman 2019-08-21 00:57:17 UTC
Its impossible to even install Fedora30 due to this bug.


Note You need to log in before you can comment on or make changes to this bug.